
From: Dale Harris <rodmur@maybe.org>

This is a little problem that gcc-2.95.4 chokes on.



 fs/ufs/namei.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN fs/ufs/namei.c~ufs-build-fix fs/ufs/namei.c
--- 25/fs/ufs/namei.c~ufs-build-fix	2003-09-08 18:50:15.000000000 -0700
+++ 25-akpm/fs/ufs/namei.c	2003-09-08 18:50:15.000000000 -0700
@@ -113,10 +113,12 @@ static int ufs_create (struct inode * di
 static int ufs_mknod (struct inode * dir, struct dentry *dentry, int mode, dev_t rdev)
 {
 	struct inode * inode;
+	int err;
+
 	if (!old_valid_dev(rdev))
 		return -EINVAL;
 	inode = ufs_new_inode(dir, mode);
-	int err = PTR_ERR(inode);
+	err = PTR_ERR(inode);
 	if (!IS_ERR(inode)) {
 		init_special_inode(inode, mode, rdev);
 		/* NOTE: that'll go when we get wide dev_t */

_
